package cn.wisenergy.model.app;

import cn.wisenergy.model.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 86187
 * @ Description   :  用户实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 19:59
 */
@Data
@ApiModel(value = "AccountUsers")
public class UserInfo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 2525339404301884673L;
    /**
     * 主键id
     */
    private Integer id;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 密码
     */
    private String password;

    /**
     * 电话号码
     */
    private String phone;

    /**
     * 头像
     */
    private String headImage;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 学校
     */
    private String school;

    /**
     * 学生类型
     */
    private Integer studentType;

    /**
     * 用户剩余查询次数
     */
    private Integer queryLimit;

    /**
     * 用户充值总额
     */
    private String moneyAmount;

}
